package com.halo.halomobisdk

import android.bluetooth.BluetoothDevice
import android.content.Intent
import android.content.IntentFilter
import android.os.Bundle
import android.util.Log
import android.view.View
import android.view.View.OnClickListener
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import com.applovin.sdk.AppLovinSdk
import com.google.android.gms.ads.identifier.AdvertisingIdClient
import com.halo.halojuhesdk.sdk.HlAdClient
import com.halomobi.halomobisdk.R
import org.json.JSONException
import org.json.JSONObject


class MainActivity : AppCompatActivity(), OnClickListener {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        // Initialize the AppLovin SDK
            val ifa: String? = getIfa()
            Log.e("11111", "===ifa===$ifa")
            val jsonObject = JSONObject()
            try {
                jsonObject.put("oaId", "28f81913-97d7-4eb3-be44-d50931d6e006") //当前设备oaId
                jsonObject.put("ifa", ifa)
                Log.e("11111", "====jsonObject====$jsonObject")
            } catch (e: JSONException) {
                e.printStackTrace()
            }
            HlAdClient.init(this, "29317",jsonObject.toString(), false, true)
        val mTvSplash = findViewById<TextView>(R.id.tv_splash)
        mTvSplash.setOnClickListener(this)
        val mTvBanner = findViewById<TextView>(R.id.tv_banner)
        mTvBanner.setOnClickListener(this)
        val mTvInsert = findViewById<TextView>(R.id.tv_insert)
        mTvInsert.setOnClickListener(this)
        val mTvNative = findViewById<TextView>(R.id.tv_native)
        mTvNative.setOnClickListener(this)
        val mTvUnifiedNative = findViewById<TextView>(R.id.tv_unified_native)
        mTvUnifiedNative.setOnClickListener(this)
        val mTvVideo = findViewById<TextView>(R.id.tv_video)
        mTvVideo.setOnClickListener(this)
        val mTvSelect = findViewById<TextView>(R.id.tv_select)
        mTvSelect.setOnClickListener(this)
    }

    override fun onClick(v: View) {
        when(v.id) {
            R.id.tv_splash -> {
                startActivity(Intent(this, SplashActivity::class.java))
            }
            R.id.tv_banner -> {
                startActivity(Intent(this, BannerActivity::class.java))
            }
            R.id.tv_insert -> {
                startActivity(Intent(this, InsertActivity::class.java))
            }
            R.id.tv_native -> {
                startActivity(Intent(this, NativeActivity::class.java))
            }
            R.id.tv_unified_native -> {
                startActivity(Intent(this, NativeUnifiedActivity::class.java))
            }
            R.id.tv_video -> {
                startActivity(Intent(this, RewardActivity::class.java))
            }
            R.id.tv_select -> {
                AppLovinSdk.getInstance(this).showMediationDebugger()
            }
        }
    }

    fun getIfa(): String? {
        var adInfo: AdvertisingIdClient.Info? = null
        try {
            adInfo = AdvertisingIdClient.getAdvertisingIdInfo(this)
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return if (adInfo != null) adInfo.id else ""
    }
}
