package com.halo.halojuhesdk.core.base.utils;


import com.halo.halojuhesdk.core.request.EcpmCompareBean;
import com.halo.halojuhesdk.core.request.SlotBean;

public class CompareEcpmUtils {
    public static EcpmCompareBean compareEcpm(SlotBean bean, double ecpm) {
        if (ecpm <= 0) {
            ecpm = bean.getE();
        }
        if (bean.getP() > 0) {
            if (bean.getP() < ecpm) {
                return new EcpmCompareBean(true, bean.getP());
            } else {//竞价竞败时  EcpmCompareBean传竞胜的价格
                return new EcpmCompareBean(false, bean.getP());
            }
        } else {
            ecpm = ecpm*bean.getD()/100;
            if (ecpm <= bean.getMinPrice()) {//竞价竞败时  EcpmCompareBean传竞胜的价格
                return new EcpmCompareBean(false, bean.getMinPrice());
            } else {
                return new EcpmCompareBean(true, ecpm);
            }
        }
    }
}
