package com.halo.halojuhesdk.core.common.utils;

import android.os.Looper;

import com.halo.halojuhesdk.core.base.utils.SystemUtils;
import com.halo.halojuhesdk.core.common.SDKInfo;
import com.halo.halojuhesdk.core.request.InitStatus;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;


/**
 * @author Feng Zhanao
 * @date 2018/8/29
 * @description
 */
public class Config {

    /**
     * 广告请求超时时间
     */
    public static int AD_TIME_OUT = 15000;

    //公参
    /**
     * SDK宿主APPID
     */
    public static String mAppId = "";
    private static NetEnvironment sNetEnvironment = NetEnvironment.ONLINE;

    /**
     * 初始化
     * .
     **/
    public static void init(String appID) {
        mAppId = appID;
        InitStatus.CURRENT_STATUS = InitStatus.INIT_START;
        MyUtils.post(new Runnable() {
            @Override
            public void run() {
                if (isMainThread()) {
                    SystemUtils.initUserAgent();
                }
            }
        });
    }
    public static boolean isMainThread() {
        return Looper.getMainLooper() == Looper.myLooper();
    }

    /**
     * 获取网络当前网络环境（测试、线上等）
     *
     * @return 当前网络环境
     */
    public static NetEnvironment getNetEnvironment() {
        return sNetEnvironment;
    }

    /**
     * 当前网络环境（联调、测试、沙盒、线上等）
     */
    public enum NetEnvironment {
        LIANTIAO, DEBUG, SHAHE, ONLINE
    }

    /**
     * 广告商家
     */
    public enum JuHeAdType {
        MAX, API
    }

    /**
     * 对参数的value进行编码
     *
     * @param value 参数value
     * @return 编码后value
     */
    private static String getEncodeValue(String value) {
        try {
            value = URLEncoder.encode(value, "utf-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return value;
    }
}
