package com.halo.halojuhesdk.sdk.listener;

import android.view.View;

/**
 * @author Feng Zhanao
 * @date 2018/6/29
 * @description
 */
public interface HlNativeAdDataRef {
    /**
     * 获取图文类型
     * @return
     */
    int getType();

    /**
     * 绑定标题
     * @param titleId 标题的id
     */
    void bindingTitle(int titleId);
    /**
     * 绑定内容
     */
    void bindingDesc(int descId) ;
    /**
     * 绑定三图.
     */
    void bindingImg3(int[] images3) ;

//    /**
//     * 绑定两图的情况
//     * @param imageSmallId 小图(icon)
//     * @param imageBigId 大图
//     */
//    void bindingImg2(int imageSmallId, int imageBigId) ;

    /**
     * 绑定只有一张大图的情况
     * @param imageBigId
     */
    void bindingImgBig(int imageBigId) ;

    /**
     * 绑定只有一张小图的情况.
     * @param imageSmallId
     */
    void bindingImgSmall(int imageSmallId) ;

    /**
     * 当界面曝光的时候调用
     * @param nativeView 原生广告的View
     */
    void recordImpression(View nativeView);
    /**
     * 当调用完recordImpression方法后调用此方法
     * @param nativeView 原生广告的View
     */
    void handlerClick(View nativeView) ;
    /**
     * 是否为app广告
     */
    boolean isApp();
    void handleClose();

}
