package com.halomobi.download;


import com.halomobi.download.listener.TDownloadInfoListener;
import com.halomobi.network.net.AbsNetProcessor;
import com.halomobi.network.net.AbsNetTask;
import com.halomobi.network.net.http.HttpResult;

import org.json.JSONObject;

/**
 * @author zhangjia.
 * @date 2019/11/25
 * @description 腾讯请求真实下载地址Processor
 */
public class TDownloadInfoProcessor extends AbsNetProcessor {

    public static final int NET_ERROR=5001;
    public static final int NET_RESULT_NULL = 5002;

    private String mUrl;
    private TDownloadInfoListener mListener;
    public TDownloadInfoProcessor(String url, TDownloadInfoListener listener) {
        mUrl=url;
        mListener = listener;
    }

    @Override
    protected AbsNetTask createNetTask() {
        return new TDownloadInfoTask(mUrl);
    }

    @Override
    public void onDataReceived(HttpResult result) throws Exception {
        if(result!=null){
            String downLoadJson=result.getString();
            JSONObject jsonObject = new JSONObject(downLoadJson);
            int ret = jsonObject.getInt("ret");
            if(ret==0){
                JSONObject data = jsonObject.getJSONObject("data");
                String dstlink = data.getString("dstlink");
                String clickid = data.getString("clickid");
                mListener.onDownloadSuccess(dstlink,clickid);
            }else{
                mListener.onDownloadError(ret);
            }
        }else{
            mListener.onDownloadError(NET_RESULT_NULL);
        }
    }

    @Override
    public void onErrorReceived(String eroMsg, int eroCode) {
        if(mListener!=null){
            mListener.onDownloadError(eroCode);
        }
    }

    @Override
    public void onNetworkError() {
        if(mListener!=null){
            mListener.onDownloadError(NET_ERROR);
        }
    }

}
