package com.halomobi.download.bean;

import android.text.TextUtils;

import com.halomobi.network.request.ad.bean.Ad;
import com.halomobi.utils.KeyUtil;

import java.util.UUID;


public class AppInfo {
    public Ad ad;
    private String id;// app的id
    private String name;// app的软件名称
    private String packageName;// app的包名
    private long size;// app的size
    private String downloadUrl;// 下载地址

    public AppInfo(String url, long contentLength) {
        this.setId(UUID.randomUUID().toString());
        this.setDownloadUrl(url);
        this.setPackageName(null);
        this.setName(KeyUtil.getMD5(url));
        this.setSize(contentLength);
        ad = new Ad();
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        this.size = size;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        if (!TextUtils.isEmpty(packageName)) {
            this.packageName = packageName;
        } else {
            this.packageName = KeyUtil.getMD5(this.id);
        }
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    private void setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
    }
}
