package com.halomobi.hlinterface;

import android.content.Context;
import android.view.View;

import com.halomobi.download.listener.DownloadStateListener;
import com.halomobi.network.listeners.AdStateChangListener;
import com.halomobi.network.listeners.ClickAdStateChangListener;
import com.halomobi.network.listeners.TrackerTaskListener;
import com.halomobi.network.request.ad.bean.Ad;
import com.halomobi.network.request.ad.bean.AdParameter;


public interface IAdControl {

    /**
     * 请求广告
     *
     * @param adParameter     广告请求参数
     * @param errorInfo       错误信息对象
     * @param adStateListener 广告状态回调对象
     */
    void requestAd(AdParameter adParameter, AdStateChangListener adStateListener);//兼容浮层逻辑

    /**
     * 上报监播
     *
     * @param adInfo 广告对象
     * @param type   广告类型
     */
    void reportTracker(Ad adInfo, int type);

    /**
     * 关闭广告
     *
     * @param adInfo 广告对象
     */
    void closeAd(Ad adInfo);

    /**
     * 点击广告
     *
     * @param adInfo 广告对象
     */
    void clickAd(Ad adInfo);

    /**
     * 点击广告
     *
     * @param adInfo   广告对象
     * @param listener 下载任务状态回调
     */
    void clickAd(Ad adInfo, DownloadStateListener listener);

    /**
     * 设置监播回调
     *
     * @param trackerListener 监播回调对象
     */
    void setTrackerTaskListener(TrackerTaskListener trackerListener);

    /**
     * 设置点击广告回调
     *
     * @param listener 点击回调对象
     */
    void setClickAdListener(ClickAdStateChangListener listener);

    /**
     * 网络图片加载
     *
     * @param imageView 图片View
     * @param string    图片地址
     */
    void loadImage(View imageView, String string);

}
