package com.halomobi.network.net;


import com.halomobi.network.net.http.HttpResult;

interface NetTaskListener {

    /**
     * 获得服务器返回数据(可能是正确数据,也可能是错误数据,这里不做检验)
     */
    void onDataReceived(HttpResult result) throws Exception;

    /**
     * 返回错误
     *
     * @param eroMsg  错误信息
     * @param eroCode 错误码
     */
    void onErrorReceived(String eroMsg, int eroCode);

    /**
     * 网络异常(HTTP返回码不为200时,均认为网络异常)
     */
    void onNetworkError();


}