package com.halomobi.network.report.db;

import static com.halomobi.network.report.track.ReportTrackerManager.COLUMN_TRACK_TIME;
import static com.halomobi.network.report.track.ReportTrackerManager.COLUMN_TRACK_URL;
import static com.halomobi.network.report.track.ReportTrackerManager.TABLE;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.provider.BaseColumns;

import com.halomobi.utils.SDKInfo;


public class AdSQLHelper extends SQLiteOpenHelper {

    private static final String DATABASE_NAME = SDKInfo.TAG + ".db";
    //错误信息表
    public static final String ERROR_TABLE = "error_cache";
    //崩溃信息表
    public static final String EXCEPTION_TABLE = "exception_cache";
    private static final int DATABASE_VERSION = SDKInfo.DB_VER;
    private static final String CREATE_TRACKERS_TABLE = "CREATE TABLE IF NOT EXISTS "
            + TABLE
            + "( "
            + BaseColumns._ID
            + " INTEGER PRIMARY KEY AUTOINCREMENT, "
            + COLUMN_TRACK_URL
            + " TEXT NOT NULL , "
            + COLUMN_TRACK_TIME
            + " TEXT NOT NULL );";
    //存储错误信息
    private static final String CREATE_ERO_CACHE_TABLE = "CREATE TABLE IF NOT EXISTS "
            + ERROR_TABLE
            + "( "
            + BaseColumns._ID
            + " INTEGER PRIMARY KEY AUTOINCREMENT, "
            + " TEXT NOT NULL);";
    //存储崩溃日志
    private static final String CREATE_EXCEPTION_CACHE_TABLE = "CREATE TABLE IF NOT EXISTS "
            + EXCEPTION_TABLE
            + "( "
            + BaseColumns._ID
            + " INTEGER PRIMARY KEY AUTOINCREMENT, "
            + " TEXT NOT NULL);";


    AdSQLHelper(Context context) {
        super(context, DATABASE_NAME, null, DATABASE_VERSION);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(CREATE_TRACKERS_TABLE);
        db.execSQL(CREATE_ERO_CACHE_TABLE);
        db.execSQL(CREATE_EXCEPTION_CACHE_TABLE);
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        db.execSQL("DROP TABLE IF EXISTS " + TABLE);
        db.execSQL("DROP TABLE IF EXISTS " + ERROR_TABLE);
        db.execSQL("DROP TABLE IF EXISTS " + EXCEPTION_TABLE);
        db.execSQL(CREATE_TRACKERS_TABLE);
        db.execSQL(CREATE_ERO_CACHE_TABLE);
        db.execSQL(CREATE_EXCEPTION_CACHE_TABLE);

    }

}
