package com.halomobi.network.report.track;

import android.text.TextUtils;


import com.halomobi.network.net.AbsNetTask;
import com.halomobi.network.request.host.bean.DnsBean;
import com.halomobi.network.schedule.ITask;

import java.net.HttpURLConnection;
import java.util.Set;

/**
 * 上报监播
 * Created by liuzheng on 2017/1/17.
 */

class ReportTrackerTask extends AbsNetTask {

    private Set<String> mTracks;

    private boolean isLastRequest = false;

    ReportTrackerTask(Set<String> trackUrls) {
        super(ReqType.Get);
        mTracks = trackUrls;
        //设置可以通过IP对应关系重试发送监播
        setReTry(true);
    }

    @Override
    public ITask.LaunchMode getLaunchMode() {
        return ITask.LaunchMode.ADD_NEW;
    }

    @Override
    protected byte[] getEntity() {
        return new byte[0];
    }

    @Override
    protected String getUrl() {
        return mDnsBean.url;
    }

    @Override
    protected void onAddHeaders(HttpURLConnection connection) {
        if (TextUtils.isEmpty(mDnsBean.host)) {
            return;
        }
        connection.setRequestProperty("Host", mDnsBean.host);
    }

    @Override
    public String getName() {
        return getClass().getSimpleName();
    }


    @Override
    public void run() {

        int i = 0;
        for (String track : mTracks) {
            mDnsBean = new DnsBean();

            mDnsBean.url = track.trim();

            if (++i == mTracks.size()) {
                //最后一条监播
                isLastRequest = true;
            }

            super.run();
        }
    }

    /**
     * @return 是否是最后一条监播
     */
    boolean isLastRequest() {
        return isLastRequest;
    }

}
