package com.halomobi.network.request.host;

import static com.halomobi.common.ConstantPool.UA_KEY;
import static com.halomobi.network.request.host.RequestIpManager.IP_ADDRESS;

import android.content.SharedPreferences;

import com.halomobi.network.net.AbsNetProcessor;
import com.halomobi.network.net.AbsNetTask;
import com.halomobi.network.net.http.HttpResult;
import com.halomobi.utils.LogUtils;
import com.halomobi.utils.Utils;

import org.json.JSONException;
import org.json.JSONObject;


class RequestIpProcessor extends AbsNetProcessor {

    private SharedPreferences mPreferences;

    RequestIpProcessor() {
        mPreferences = Utils.getSp();
    }

    @Override
    protected AbsNetTask createNetTask() {
        return new RequestIpTask();
    }

    @Override
    public void onDataReceived(HttpResult result) throws Exception {
        try {
            JSONObject object = new JSONObject(result.getString());
            JSONObject hostData= object.optJSONObject("data");
            if (hostData != null) {
                String ipAddress = hostData.optString("ip");
                mPreferences.edit().putString(IP_ADDRESS, ipAddress).apply();
                String ua = hostData.optString("ua");
                mPreferences.edit().putString(UA_KEY, ua).apply();
                //保存到内存中
//                RequestIpManager.getInstance().setHostData(hostData.toString());
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }

    }

    @Override
    public void onErrorReceived(String eroMsg, int eroCode) {
        LogUtils.e("----- onErrorReceived -----");
        LogUtils.e("----- eroCode : " + eroCode);
        LogUtils.e("----- eroMsg : " + eroMsg);
    }

    @Override
    public void onNetworkError() {
        LogUtils.e("----- onNetworkError -----");
    }

    @Override
    public void process() {

//        if (!Utils.checkIntervalTime(HOST_LAST_REQUEST, mPreferences.getLong(HOST_INTERVAL, HOST_DEFAULT_INTERVAL), 0)) {
//            //距离上次请求没有达到指定的间隔时间，从本地获取数据
//            RequestIpManager.getInstance().setHostData(mPreferences.getString(HOST_KEY, null));
//            return;
//        }

        super.process();
    }
}
