package com.halomobi.network.schedule;

import java.util.HashMap;


public class TaskManager {

    private HashMap<String, ITask> mTaskQueue;
    private ThreadManager.ThreadPoolProxy mThreadPoolProxy;

    public TaskManager() {
        mTaskQueue = new HashMap<>();
        mThreadPoolProxy = ThreadManager.getSinglePool(hashCode() + "");
    }

    /**
     * 添加任务到队列
     *
     * @param task 任务
     */
    public synchronized void addTask(ITask task) {
        // 根据Task启动模式,控制添加方式.
        if (task.getLaunchMode() == ITask.LaunchMode.REPLACE_OLD) {
            ITask lastTAsk = mTaskQueue.put(task.getName(), task);
            mThreadPoolProxy.cancel(lastTAsk);
        }
        mThreadPoolProxy.execute(task);
    }

    public void removeAllTask() {
        mThreadPoolProxy.shutdown();
        mTaskQueue.clear();
    }

//    public void removeTaskByName(String name) {
//        mThreadPoolProxy.cancel(mTaskQueue.remove(name));
//    }

}
