package com.halomobi.view;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.halomobi.sdk.R;


public class HlTipsDialog extends Dialog {
    private OnDialogClickListener mListener;
    private String mTipTitleStr, mEnsureStr, mCancelStr;

    public HlTipsDialog(@NonNull Context context) {
        super(context);
    }

    public HlTipsDialog(@NonNull Context context, int themeResId) {
        super(context, themeResId);
    }

    protected HlTipsDialog(@NonNull Context context, boolean cancelable, @Nullable OnCancelListener cancelListener) {
        super(context, cancelable, cancelListener);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.hl_dialog_tips);
        TextView mTipTitle = findViewById(R.id.tv_tip_title);
        TextView mCancel = findViewById(R.id.tv_cancel);
        TextView mEnSure = findViewById(R.id.tv_ensure);
        if (!TextUtils.isEmpty(mTipTitleStr)) {
            mTipTitle.setText(mTipTitleStr);
        }
        if (!TextUtils.isEmpty(mCancelStr)) {
            mCancel.setText(mCancelStr);
        }
        if (!TextUtils.isEmpty(mEnsureStr)) {
            mEnSure.setText(mEnsureStr);
        }
        mCancel.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                dismiss();
                if (mListener != null) {
                    mListener.onCancelClick();
                }
            }
        });

        mEnSure.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                dismiss();
                if (mListener != null) {
                    mListener.onEnsureClick();
                }
            }
        });
    }

    public void setonDialogClickListener(OnDialogClickListener listener) {
        this.mListener = listener;
    }

    public void setTipTitle(String tipTitle) {
        mTipTitleStr = tipTitle;
    }

    public void setEnsureStr(String ensureStr) {
        mEnsureStr = ensureStr;
    }

    public void setCancelStr(String cancelStr) {
        mCancelStr = cancelStr;
    }

    public interface OnDialogClickListener {
        void onCancelClick();

        void onEnsureClick();
    }
}
